 
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<%@ page import="kr.co.udapsoft.ebid.buyer.common.file.FileManager"%>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
%>
<SCRIPT language="JavaScript">




	function doResult(resultObj) {
		try {
			if( resultObj.getRequestEvent() == "CONT_COPY") {
				document.form1.isSubmit = false;
				if( resultObj.getSuccess() ) {
					alert("구매계약첨부 파일 복사 완료.");
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			else if( resultObj.getRequestEvent() == "CONT_OUT_COPY") {
				document.form1.isSubmit = false;
				if( resultObj.getSuccess() ) {
					alert("외주계약첨부 파일 복사 완료.");
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			else if( resultObj.getRequestEvent() == "PAY_COPY") {
				document.form1.isSubmit = false;
				if( resultObj.getSuccess() ) {
					alert("구매대금첨부 파일 복사 완료.");
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			else if( resultObj.getRequestEvent() == "PAY_OUT_COPY") {
				document.form1.isSubmit = false;
				if( resultObj.getSuccess() ) {
					alert("외주대금첨부 파일 복사 완료.");
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			else if( resultObj.getRequestEvent() == "ALL_COPY") {
				document.form1.isSubmit = false;
				if( resultObj.getSuccess() ) {
					alert("전체 첨부 파일 복사 완료.");
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			else if( resultObj.getRequestEvent() == "ALL_COPY_PUR") {
				document.form1.isSubmit = false;
				if( resultObj.getSuccess() ) {
					alert("전체 첨부 파일 복사 완료.");
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			else if( resultObj.getRequestEvent() == "ALL_COPY_SUB") {
				document.form1.isSubmit = false;
				if( resultObj.getSuccess() ) {
					alert("전체 첨부 파일 복사 완료.");
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
		}
		catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}
	
	function allFileCopy(){
		var f = document.form1;
		
		if(confirm('전체 첨부파일을 이관하시겠습니까?')){
			submitXmlRequest("/test/FileMigrationProcess.screen", "ALL_COPY", f, "SUCCESS");
		}
	}
	function allPurFileCopy(){
		var f = document.form1;
		
		if(confirm('전체 구매 첨부파일을 이관하시겠습니까?')){
			submitXmlRequest("/test/FileMigrationProcess.screen", "ALL_COPY_PUR", f, "SUCCESS");
		}
	}
	function allSubFileCopy(){
		var f = document.form1;
		
		if(confirm('전체 구매 첨부파일을 이관하시겠습니까?')){
			submitXmlRequest("/test/FileMigrationProcess.screen", "ALL_COPY_SUB", f, "SUCCESS");
		}
	}
	function contFileCopy(){
		var f = document.form1;
		
		if(confirm('구매계약 첨부파일을 이관하시겠습니까?')){
			submitXmlRequest("/test/FileMigrationProcess.screen", "CONT_COPY", f, "SUCCESS");
		}
	}
	function contFileCopyOut(){
		var f = document.form1;
		
		if(confirm('외주계약 첨부파일을 이관하시겠습니까?')){
			submitXmlRequest("/test/FileMigrationProcess.screen", "CONT_OUT_COPY", f, "SUCCESS");
		}
	}
	function payFileCopy(){
		var f = document.form1;
		
		if(confirm('구매대금 첨부파일을 이관하시겠습니까?')){
			submitXmlRequest("/test/FileMigrationProcess.screen", "PAY_COPY", f, "SUCCESS");
		}
	}
	function payFileCopyOut(){
		var f = document.form1;
		
		if(confirm('외주기성 첨부파일을 이관하시겠습니까?')){
			submitXmlRequest("/test/FileMigrationProcess.screen", "PAY_OUT_COPY", f, "SUCCESS");
		}
	}


</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">

	<!-- 제목 및 버튼 -->
<table width="100%" height="100%" border="1">
	<tr>
	   	<th>
			파일 이관
	   </th>
	  	<td>
	  		project No <input type="text" id="project_no" name="project_no" value="2014"/>
	  		From DB Link <input type="text" id="db_link_nm" name="db_link_nm" value="@REALF"/>
	  		<span class="btnSearch center"><a href="javascript:allPurFileCopy();" >전체 구매 파일 이관</a></span>
	  		<span class="btnSearch center"><a href="javascript:allSubFileCopy();" >전체 외주 파일 이관</a></span>
	  	</td>
	</tr>
	<tr>
		<td align="center">
			계약 구매
		</td>
	   <td align="center">
			<span class="btnSearch center"><a href="javascript:contFileCopy();" >구매계약 파일 이관</a></span>
	   </td>
   	</tr>
	<tr>
		<td align="center">
			계약 외주
		</td>
	   <td align="center">
			<span class="btnSearch center"><a href="javascript:contFileCopyOut();" >외주계약 파일 이관</a></span>
	   </td>
   	</tr>

	<tr>
		<td align="center">
			대금 구매
		</td>
	   <td align="center">
			<span class="btnSearch center"><a href="javascript:payFileCopy();" >구매대금 파일 이관</a></span>
	   </td>
   	</tr>
	<tr>
		<td align="center">
			외주 기성
		</td>
	   <td align="center">
			<span class="btnSearch center"><a href="javascript:payFileCopyOut();" >외주기성 파일 이관</a></span>
	   </td>
   	</tr>
</table>


